Package Details: arduino-ide 2.3.7-1

Git Clone URL: https://aur.archlinux.org/arduino-ide.git (read-only, click to copy)
Package Base: arduino-ide
Description: Open-source electronics prototyping platform
Upstream URL: https://github.com/arduino/arduino-ide
Licenses: AGPL-3.0-only
Submitter: andreas_baumann
Maintainer: Pulsar33550336
Last Packager: Pulsar33550336
Votes: 6
Popularity: 1.49
First Submitted: 2025-08-21 19:51 (UTC)
Last Updated: 2025-12-24 07:27 (UTC)

Latest Comments

1 2 Next › Last »

arslaanpathan commented on 2026-02-14 03:40 (UTC)

I just tested this on aarch64/arm64 (Apple M2, Asahi Arch Linux ARM), and it works perfectly with some modifications to the PKGBUILD.
The modifications are as follows, I suggest you add them so that future users don't have to go through the trouble I did to get Arduino IDE working on Arch Linux ARM.

From e88f0458df630db0f9bc6f09c465967a8141d01d Mon Sep 17 00:00:00 2001
From: Arslaan Pathan <arslaan@arslaancodes.com>
Date: Sat, 14 Feb 2026 16:33:38 +1300
Subject: [PATCH] Fix PKGBUILD to work on aarch64

---
 PKGBUILD | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index e9ad218..78cf2ef 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,7 @@ pkgname=arduino-ide
 pkgver=2.3.7
 pkgrel=1
 pkgdesc="Open-source electronics prototyping platform"
-arch=(x86_64)
+arch=(x86_64 aarch64)
 url=https://github.com/arduino/arduino-ide
 license=(AGPL-3.0-only)
 depends=(
@@ -44,6 +44,10 @@ optdepends=(
   'usbutils: Needed for stm32 boards using st-link'
 )
 _tag=2bfd24338c3c484a063fb91e6920c718a811ec0c
+
+_unpacked_appdir="linux-unpacked"
+[[ $CARCH == "aarch64" ]] && _unpacked_appdir="linux-arm64-unpacked"
+
 source=(
   git+https://github.com/arduino/arduino-ide.git#tag=${_tag}
   arduino-ide.sh
@@ -89,8 +93,7 @@ build() {

 package() {
   install -dm 755 "${pkgdir}"/usr/{lib,share/doc}
-  rm -rf arduino-ide/electron-app/dist/linux-unpacked/resources/app/plugins/cortex-debug/extension/binary_modules/*/{darwin,linux/{arm,arm64},win32}
-  cp -dr --no-preserve=ownership arduino-ide/electron-app/dist/linux-unpacked/resources/app "${pkgdir}"/usr/lib/arduino-ide
+  cp -dr --no-preserve=ownership arduino-ide/electron-app/dist/${_unpacked_appdir}/resources/app "${pkgdir}"/usr/lib/arduino-ide
   cp -dr --no-preserve=ownership arduino-ide/docs "${pkgdir}"/usr/share/doc/arduino-ide
   for bin in arduino-cli arduino-language-server arduino-fwuploader clang-format clangd; do
     ln -sf /usr/bin/$bin "${pkgdir}"/usr/lib/arduino-ide/lib/backend/resources/$bin
-- 
2.53.0

voidzero commented on 2026-01-13 08:36 (UTC)

error arduino-ide@2.3.7: The engine "node" is incompatible with this module. Expected version ">=18.17.0 <21". Got "22.14.0"

We can force node 20 by using the following patch:

diff --git a/PKGBUILD b/PKGBUILD
index e9ad218..3443d69 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -53,7 +53,23 @@ b2sums=('e4b42f6f6d0ef5daf61f1246a1bc30b82d30a5e1f6839c4a937e09e4d358eb5c43ae7e1
         '7b898d099bf9cfab9339d92976a8a75ddf3c3e55e64661c24bb386fad9da4a6b461bc49ca3607a15bd58820dc8eb709179e5808b7619c3f5f095db82478b5fea'
         '9b7c45d5081f23415c3dfd3d098cbe425b207f82a480b09f192e5d0e95511da5c8985ad20667301b8977a0ab3166c8b6aa5992e36df75173785bb026a10f8edb')

+# From https://wiki.archlinux.org/title/Node.js_package_guidelines
+_ensure_local_nvm() {
+    # let's be sure we are starting clean
+    which nvm >/dev/null 2>&1 && nvm deactivate && nvm unload
+    export NVM_DIR="${srcdir}/.nvm"
+
+    # The init script returns 3 if version specified
+    # in ./.nvrc is not (yet) installed in $NVM_DIR
+    # but nvm itself still gets loaded ok
+    source /usr/share/nvm/init-nvm.sh || [[ $? != 1 ]]
+}
+
 prepare() {
+  _ensure_local_nvm
+  nvm install 20
+  nvm use 20
+
   cd arduino-ide

   local _electron_version=$(cat electron-app/package.json | jq '.devDependencies.electron')

Pulsar33550336 commented on 2025-10-12 09:10 (UTC)

electron30 is necessary:

in /usr/bin/arduino-ide, Line 7:

exec /usr/lib/electron30/electron /usr/lib/arduino-ide $FLAGS "$@"

gatonero commented on 2025-09-05 12:15 (UTC)

For electron30: Install electron30-bin separately

But after that another error: error Found incompatible module. info Visit https://yarnpkg.com/en/docs/cli/install for documentation about this command. ==> FEHLER: Ein Fehler geschah in prepare().

acidicX commented on 2025-08-23 17:24 (UTC)

The build process seems to package electron anyway:

• downloading url=https://github.com/electron/electron/releases/download/v30.1.2/electron-v30.1.2-linux-x64.zip size=104 MB parts=8

Is there really the need to include electron30 in the PKGBUILD as a dependency then?

andreas_baumann commented on 2025-08-23 12:44 (UTC)

This is nothing I can maintain, I have no knowhow about node and friends..

andreas_baumann commented on 2025-08-22 15:22 (UTC) (edited on 2025-08-23 05:56 (UTC) by andreas_baumann)

electron30-bin should provide electron30, so you can choose whether to use the binary version or build your own electron. There is also a arduino-ide-bin.

Using automatic builders which draw in electron30 automatically are dangerous anyways given the nature of AUR PKGBUILDs.

This node error you reported didn't happen when I built it, I had a running IDE. Have to investigate..

matdave commented on 2025-08-22 15:15 (UTC)

Recieving error: error arduino-ide@2.3.6: The engine "node" is incompatible with this module. Expected version ">=18.17.0 <21". Got "22.14.0"

matdave commented on 2025-08-22 15:14 (UTC)

Would it be possible to "prefer" electron30-bin? I didn't have that installed, so it defaulted to trying to compile electron30, which required like 50GB of downloading and pegged my CPU.